html {
  // 62.5% = 10px = 1rem
  font-size: 62.5%; // ## DO NOT CHANGE!  ##
}
  
body {
  position: relative;
  background-color: $body-bg;
  font-family: $font-family-base;
  color: $text-color;
  @include rem('font-size', $font-size-base);
  line-height: 1.3;

  // -- VISUALIZE RESPONSIVENESS -- 
  // @include respond-to(xs) { background-color: green; }
  // @include respond-to(sm) { background-color: greenyellow; }
  // @include respond-to(md) { background-color: yellow; }
  // @include respond-to(lg) { background-color: orange; }
  // @include respond-to(xl) { background-color: red; }
}

// == LAYOUT ==
.container {
  position: relative;
  max-width: 100%;
  margin: 0 auto;
  overflow: hidden;

  > header {
    max-width: 100%;
    width: 100%;
    flex: 0 0 100%;
  }

  > main {
    margin-top: 65px;
  }
}

a[name] { display: none }

// == HELPERS ==
.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0,0,0,0);
  border: 0;
}

.hidden {
  display: none;
}

.left {
  float: left;
  text-align: right;
}

.right {
  float: right;
  text-align: right;
}

.text- {
  &center {
    text-align: center;
  }
  &left {
    text-align: left;
  }
  &right {
    text-align: right;
  }
}

.font- {
  &small {      
    font-size: 10px;
    font-size: 1.0rem;
  }

  &large {      
    font-size: 18px;
    font-size: 1.8rem;
  }

  &italic {
    font-weight: 400;
    font-style: italic;
  }

  &italic-bold {
    font-weight: 700;
    font-style: italic;
  }

  &light {
    font-weight: 300;
  }

  &bold {
    font-weight: 400;
  }

  &extra-bold {
    font-weight: 700;
  } 
}
